## nat 1.0

=== DESCRIPTION ===
Package: nat
Type: Package
Title: nat: NeuroAnatomy Toolbox for Analysis of 3D Image Data
Version: 1.0
Date: 2013-02-04
Author: Greg Jefferis with contributions from Ashley Manton
Maintainer: Greg Jefferis <jefferis@gmail.com>
URL: https://github.com/jefferis/nat https://jefferislab.org
Description: This package is a reboot of the AnalysisSuite
    (https://github.com/jefferis/AnalysisSuite) bundle of R code that I have
    been using for a number of years to analyse and visualise 3D biological
    image data, especially traced neurons. AnalysisSuite is most easily
    installed using the nat.as package presently available at
    https://github.com/jefferis/nat.as. The nat package is considerably cleaner
    but currently provides only a subset of the full functionality of
    nat.as/AnalysisSuite. This package can read 3D images and surfaces in Amira
    formats. Traced neurons can be imported from SWC and Amira SkeletonGraph
    format. These data can then be visualised in 3D via rgl or analysed
    including applying calculated registrations, typically using the CMTK
    registration suite from image data to neuron tracings. There is
    functionality for representing image data for neurons that have been
    skeletonised but not formally traced. This representation allows
    morphological comparison with neurons including searches/clustering.
Depends: R (>= 2.15.1), rgl
Imports: RANN, igraph, methods, filehash
Suggests: testthat
License: GPL-3
LazyData: yes
Packaged: 2014-02-04 00:16:08 UTC; jefferis
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-02-04 10:35:20

=== Makefile ===
###########################################################################
# Makefile for Samba SMB client/server for unix
# Copyright Andrew Tridgell 1992,1993,1994
###########################################################################
CC = gcc

# set this to the default group you want your machine to appear in
# for browsing. This can also be set in nmbd (see nmbd(8))
# NOTE: If you set it to * then nmbd will try to find a workgroup on
# the local net
WORKGROUP = WORKGROUP

# set this to the name of the default account, which is the one
# to use when no username or password is specified.  This can be overridden
# in the runtime configuration file (see smb.conf(5))
# NOTE: The account "nobody" may not be a good one as
# on many unixes it may not be able to print. Thus you
# might have to create a separate guest account that can print.
GUESTACCOUNT = nobody

#####################################
# WHICH OPERATING SYSTEM?
# UNCOMMENT ONE OF THE SECTIONS BELOW
# MAKE SURE ONLY *ONE* IS UNCOMMENTED
#
# The following are additional flags that may apply
#   -DNETGROUP if your machine supports yp netgroups
#   -DSHADOW_PWD if you are using shadow passwords
#   -DGETPWANAM if you wish to use getpwanam() call
#   -DPWDAUTH if you have and want to use the pwdauth() call
#   -DUFC_CRYPT if you want the fast crypt routine
#   -DALLOW_CHANGE_PASSWORD if you want users to be able to set their password
#                           remotely (only works on some systems)
#   -DQUOTAS for quota support in disk_free(). This probably only works 
#            on some systems.
#
#    NOTE: GETPWANAM & PWDAUTH are mutually exclusive, if you
#          Define one, you should NOT define the other.
#####################################

#####################################
# for the JAPANESE EXTENSION
# select filename's code set for KANJI/KANA in UNIX,
# apply the following flag
#   -DKANJI=\"<code>\"
#        <code> is select character code set for JAPAN.
#             sjis:   if your machine support SJIS
#             euc:      if your machine support EUC
#             jis7:     if your machine support JIS7
#             jis8:     if your machine support JIS8
#             junet:    if your machine support jis7 + junet rule
#             hex:      if your machine only support 7 bits ascii filename only
#                       convert to hexdecimal code preseeding ':'.
# see also README.jis
######################################


# This is for SUNOS 4. Use the SUNOS5 entry for Solaris 2.
# Note that you cannot use Suns "cc" compiler
# as it's not an Ansi-C compiler. Get gcc or acc. 
# Note that if you have adjunct passwords you may need the GETPWANAM 
# or PWDAUTH option. There have been reports that using PWDAUTH may crash
# your pwdauthd server so GETPWANAM is preferable (and probably faster)
# contributed by Andrew.Tridgell@anu.edu.au
# FLAGSM = -DSUNOS4
# LIBSM =   


# Use this for Linux with shadow passwords
# contributed by Andrew.Tridgell@anu.edu.au
# add -DLINUX_BIGCRYPT is you have shadow passwords but don't have the
# right libraries and includes
#FLAGSM = -DLINUX -DSHADOW_PWD -DNO_ASMSIGNALH
#LIBSM = -lshadow

# Use this for Linux without shadow passwords
# contributed by Andrew.Tridgell@anu.edu.au
FLAGSM = -DLINUX -DNO_ASMSIGNALH
LIBSM = 


# This is for SUNOS5 (also known as Solaris 2)
# contributed by Andrew.Tridgell@anu.edu.au
# FLAGSM = -DSUNOS5 -DSHADOW_PWD -DNETGROUP 
# LIBSM = -lsocket -lnsl


# This is for SVR4
# Contributed by mark@scot1.ucsalf.ac.uk
# FLAGSM = -DSVR4 -DSHADOW_PWD -DALLOW_CHANGE_PASSWORD
# LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb


# This is for the Motorola 88xxx/9xx range of machines
# Contributed by RPE@monnet.com
# FLAGSM = -DSVR4 -DSHADOW_PWD -DGETTIMEOFDAY1
# LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb


# This is for UNIXWARE
# FLAGSM = -Xa -DSVR4 -DSHADOW_PWD
# LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb


# This is for ULTRIX. Add -DULTRIX_AUTH for Ultrix enhanced security.
# contributed by iversen@dsfys1.fi.uib.no
# FLAGSM = -DULTRIX
# LIBSM =   


# This is for OSF1 (Alpha)
# contributed by errath@balu.kfunigraz.ac.at
# NOTE: You may need -warning_unresolved if you get unresolved symbols
# FLAGSM = -DOSF1
# LIBSM =

# This is for OSF1 (Alpha) with NIS and Fast Crypt
# contributed by David Gardiner <dgardine@cssip.edu.au>
# FLAGSM = -DOSF1 -DNETGROUP -DUFC_CRYPT
# LIBSM =


# This is for OSF1 (Alpha) V2.0 Enhanced Security 
# contributed by Udo Linauer <ul@eacpc4.tuwien.ac.at>
# FLAGSM = -DOSF1 -DOSF1_ENH_SEC
# LIBSM = -lsecurity


# This is for AIX
# contributed by tomc@osi.curtin.edu.au
# FLAGSM = -DAIX
# LIBSM =   

# This is for AIX 3.2.5 with DCE/DFS
# contributed by Jim Doyle <doyle@oec.com>
# FLAGSM = -DAIX -DDFS_AUTH -DSIGCLD_IGNORE -DNO_SIGNAL_TEST
# LIBSM = -lc_r -ldce -lpthreads
# CC = cc_r

# This is for BSDI 
# contributed by tomh@metrics.com
# versions of BSDI prior to 2.0 may need to add -DUSE_F_FSIZE for 
# disk usage stats to be correct
# FLAGSM = -DBSDI
# LIBSM =   

#
# This is for OpenBSD.
#
# FLAGSM = -DOPENBSD -DSHADOW_PWD
# LIBSM = -lcrypt 

# This is for NetBSD. Add -DNETBSD_1_0 if you are using 1.0
# contributed by noses@oink.rhein.de
# FLAGSM = -DNETBSD -DSHADOW_PWD
# LIBSM = -lcrypt 


# This is for SEQUENT. 
# Contributed by fwk@ix.netcom.com (Frank Keeney) and 
# rpwillia@Pentagon-EMH6.army.mil (Ray Williams)
# tested on DYNIX/ptx(R) V2.1.0
# FLAGSM = -DSEQUENT -DSHADOW_PWD -DHAVE_TIMEZONE
# LIBSM = -lrpc -lsocket -lPW -linet -lnsl -lseq -lsec


# This is for HP-UX. Note that some systems don't like the -Aa switch.
# contributed by Pasi.Kaara@atk.tpo.fi
# FLAGSM = -DHPUX -Aa -D_HPUX_SOURCE -D_POSIX_SOURCE
# LIBSM = 

# This is for HP-UX with DCE/DFS
# contributed by Jim Doyle <doyle@oec.com>
# FLAGSM = -DHPUX -Aa -D_HPUX_SOURCE -D_POSIX_SOURCE -DDFS_AUTH -D_REENTRANT -I/usr/include/reentrant
# LIBSM = -ldce -lM -lc_r


# This is for SGI.
# contributed by lpc@solomon.technet.sg (Michael Chua)
# FOR SGI IRIX 4.x.x, use the following line
# FLAGSM = -DSGI -DHAVE_TIMEZONE
# LIBSM = -lsun

# FOR SGI IRIX 5.x.x, use this line instead
#FLAGSM = -DSGI5 -DSHADOW_PWD -DHAVE_TIMEZONE
#LIBSM =


# This is for FreeBSD
# contributed by kuku@acds.physik.rwth-aachen.de
# NOTE: You may need to add -DBSD44 if you have password problems
# FLAGSM = -DFreeBSD
# LIBSM = -lcrypt 


# This is for NEXTSTEP Release 2.X
# No Posix.
# contributed by brad@cac.washington.edu (Brad Greer)
# FLAGSM = -DNEXT2 
# LIBSM = 

# This is for NEXTSTEP Release 3.0 and greater (including OPENSTEP for Mach).
# contributed by brad@cac.washington.edu (Brad Greer)
# additional configuration by pmarcos@next.com (Paul Marcos)
# For compiling n-way fat executables, you should append the appropriat -arch 
# flags to the FLAGSM variable.  Valid flags are:
#    -arch m68k
#    -arch i386
#    -arch hppa
#    -arch sparc
# To compile 4-way fat, you would append
#    -arch m68k -arch i386 -arch hppa -arch sparc
# FLAGSM = -DNEXT3_0
# LIBSM = 


# NOTE: ISC is also known as "INTERACTIVE"
# This is for Sunsoft ISC SVR3V4 running in POSIX mode
# contributed by pim@cti-software.nl (Pim Zandbergen)
# FLAGSM = -posix -D_SYSV3 -DISC -DSHADOW_PWD
# LIBSM = -lsec -lcrypt -linet

# This is for Sunsoft ISC SVR3V4 running in iBCS2 mode
# contributed by pim@cti-software.nl (Pim Zandbergen)
# FLAGSM = -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_SYSV3\
#          -DISC -DSHADOW_PWD -DREPLACE_GETWD -DREPLACE_RENAME
# LIBSM = -lsec -lcrypt -linet -lcposix


# This is for A/UX 3.0
# Contributed by root@dolphin.csudh.edu (Jon S. Stevens)
# FLAGSM = -DAUX
# LIBSM =

# This is for Altos Series 386/1000
# Contributed by cal@zls.com
# FLAGSM = -DALTOS -DHAS_RDCHK
# LIBSM = -lsocket -lxenix


#Note: The SCO entries require the libcrypt library. You can get it via
#anonymous ftp from ftp.sco.com:/SLS/lng225b.* or ftp.uu.net:/vendors/sco
#
# Use this for SCO with shadow passwords. Tested on "Open enterprise 3.0"
# SCO changes from Heinz Mauelshagen (mauelsha@ez.da.telekom.de)
# FLAGSM = -DSCO -DSHADOW_PWD -DNETGROUP
# LIBSM = -lyp -lrpc -lyp -lsec -lsocket -lcrypt_i -lintl

# Use this for SCO with shadow passwords, without YP.
# Tested on "Open Enterprise Server 3.0" (John Owens john@micros.com)
# Also, use "CC = cc" above.
# FLAGSM = -DSCO -DSHADOW_PWD
# LIBSM = -lsec -lsocket -lcrypt_i

# Use this for SCO with TCB passwords (default).
# Tested on "Open enterprise 3.0". Contributed by lance@fox.com.
# CC     = cc
# FLAGSM = -DSCO -DSecureWare
# LIBSM  = -lprot_s -lcrypt -lsocket -lm -lc_s

# Use this for SCO Unix 3.2v2 (ODT 1.1) with TCB passwords (default).
# Contributed by Stephen.Rothwell@pd.necisa.oz.au
# N.B. this needs gcc
# FLAGSM = -DSCO -DSecureWare -DSCO3_2_2
# LIBSM  = -lprot -lcrypt_i -lsocket -lm -lintl

# This is for the european distribution of SCO. 
# Contributed by Urmet.Janes@gwhite.goodwin.ee
# FLAGSM = -DSCO -DSHADOW_PWD 
# LIBSM = -lsec -lsocket /usr/lib/libcrypt_i.a -lintl

# Use this for SCO OpenServer 5 with TCB passwords (default).
# contributed by Scott Michel <scottm@intime.intime.com>
# CC     = cc -Xc
# FLAGSM = -DSCO -DSecureWare -DEVEREST -DUSE_MMAP
# LIBSM  = -lprot -lcurses -lcrypt -lsocket -lPW -lm -lx -lc_s -lc


# This is for intergraph. 
# contributed by cjkiick@flinx.b11.ingr.com
# modified by ttj@sknsws61.sjo.statkart.no
# FLAGSM = -DCLIX -D_INGR_EXTENSIONS=1
# LIBSM = -lbsd -lc_s

# This is for DGUX. 
# Contributed by ross@augie.insci.com (Ross Andrus)
# FLAGSM = -DDGUX 
# LIBSM  = 

# This is for Apollo Domain/OS sr10.3 (systype = BSD4.3)
# Added 1994-07-08 Stephen C. Steel <steve@qv3donald.LeidenUniv.nl>
# additional patches by jmi@csd.cri.dk (John Mills)
# you may need the "-A ansi" switch to cc
# FLAGSM = -DAPOLLO -D_INCLUDE_BSD_SOURCE -D_INCLUDE_XOPEN_SOURCE
# LIBSM =


# RiscIX. 
# contributed by Jim Barry <jim@ilp.com> and 
# Charles Gay-Jones <charlie@ilp.com>
# FLAGSM = -DRiscIX -DNOSTRDUP
# LIBSM =


# This is for System V with some berkely extensions (Motorola 88k R32V3.2).
# contributed by tonyb@plaza.ds.adp.com (Tony D. Birnseth)
# FLAGSM = -DM88K_R3
# LIBSM = -lgen -lbsd -lnsl


# This is for DNIX.
# contributed by Peter Olsson <pol@leissner.se>
# NOTE: You may need an updated libc.a from your vendor as older
# versions have broken mktime calls and no initgroups() call
# NOTE2: You may need -lpasswd if you use shadow passwords
# NOTE3: Please read the file DNIX.txt in the docs directory. It
# contains important information about uid handling under DNIX, you may
# need to patch your C library.
# FLAGSM = -DDNIX -I/usr/include/bsd
# LIBSM = -ln


# This is for Cray, Unicos 8.0
# contributed by velo@sesun3.epfl.ch (Martin Ouwehand)
# FLAGSM = -DCRAY -U__STDC__ -DQUOTAS
# LIBSM =

# This is for Convex
# contributed by Victor Balashov <balashov@cv.jinr.dubna.su>
# and Ulrich Hahn <ulrich.hahn@zdv.uni-tuebingen.de>
# FLAGSM= -DCONVEX -DSHADOW_PWD
# LIBSM= 

# This is for SMP_DC.OSx v1.1-94c079 on Pyramid S series
# contributed by jeffrey@itm.org
# FLAGSM = -DSOLARIS -DSHADOW_PWD -DBSD_COMP
# LIBSM = -lsocket -lnsl

# This is for QNX 4.22
# Contributed by eldo@invisa.satlink.net (Eldo Loguzzo)
# FLAGSM = -DQNX -DGUEST_SESSSETUP=1
# LIBSM =


# This is for SONY NEWS, NEWS-OS 4.2.x
# contributed by sky@sm.sony.co.jp (Katushi Sato)
# FLAGSM = -DNEWS42 -DKANJI=\"sjis\"
# LIBSM =

# This is for OS/2 using EMX 0.9b
# Contributed by jasonr@pec.co.nz (Jason Rumney)
# FLAGSM = -DOS2
# LIBSM = -Zexe -lsocket

# This is for Cygwin32 for Windows NT and Windows 95
# Contributed by jwilkins@secnet.com (Jonathan Wilkins)
# FLAGSM = -D_WIN32
# LIBSM =


######################################################################
# DON'T EDIT BELOW THIS LINE
######################################################################

SRCS = nat.c client.c util.c system.c nmb.c charset.c parse_ip.c
OBJS = nat.o client.o util.o system.o nmb.o charset.o parse_ip.o
CFLAGS1 = -DSTEPPING -DSCANNER -DVERBOSE

=== debian/changelog ===
nat (1:1.0-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Migrate to debhelper-compat version 13 (Closes: #965744, #1004018)
    - Delete debian/compat
    - Build-Depends on debhelper-compat (= 13)
  * Use DebSrc3.0 (quilt)
    - Split diff.gz to debian/patches
  * debian/control: Change Priority from extra to optional

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 26 Apr 2022 22:48:16 +0800

nat (1:1.0-6) unstable; urgency=medium

  * include.h: Apply patch provided by Cyril Roelandt to fix 
    FTBFS (Closes: #681932)
  * debian/control:
    - Update Maintainer address 
    - Add Homepage
    - Updated Standards-Version, no changes required
    - Add ${misc:Depends} in the control file
  * debian/copyright:
    - Reconvert to UTF-8
    - Updated the FSF address
  * debian/compat: Add it to the package
  * debian/rules:
    - Comment out DH_COMPAT in debian/rules
    - Add missing recommended targets in the file
    - Do not ignore make clean errors

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 12 Jan 2015 00:16:23 +0100

nat (1:1.0-5) unstable; urgency=low

  * Prevent segmentation faults and sigpipe by handling them with a signal,
    this does not fix the core issue though, so it does *not* close #347947, #197898)
  * Use -Wall and fix some warnings (many more pending)
  * Introduce the -d option in smb-nat and make debugging work ok

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 25 Jan 2006 09:13:22 +0100

nat (1:1.0-4) unstable; urgency=low

  * Applied patch from Andreas Jochens to fix a FTBFS with gcc-3.4
    (Closes: #260670)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 13 Feb 2005 12:20:43 +0100

nat (1:1.0-3) unstable; urgency=low

  * Applied patch contributed by Jasper van Woudenberg that
   should prevent if from segfaulting against w2k targets
   (Closes: #171692)
  * Fixed lintian warning

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  3 Apr 2003 23:09:28 +0200

nat (1:1.0-2) unstable; urgency=low

  * Fixed description (Closes: #171584)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  3 Dec 2002 18:36:30 +0100

nat (1:1.0-1) unstable; urgency=low

  * Initial Release (at least I thought it was until I found Christoph's
    packages) (Closes: #148988)
  * Fixed Makefile to use -DNO_ASMSIGNALH in order to compile properly.
  * This package was removed for some reason from Debian 2.1 to Debian 2.2
  since I do not see any (legal) reason for it's removal I'm uploading
  it again.
  * Fixed the version (it's not 10, it's 1.0!), used epochs in new package
  just in case.
  * Changed the name of program/manpage from 'nat' to 'smb-nat' (less
  generic)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 30 May 2002 00:03:46 +0200

smb-nat (10-2) unstable; urgency=low

  * Renamed to smb-nat from nat
  * build for hamm.  

 -- Christoph Lameter <clameter@debian.org>  Mon, 13 Oct 1997 20:02:59 -0700

nat (10-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@debian.org>  Mon, 18 Aug 1997 19:00:01 -0700

=== debian/control ===
Source: nat
Section: admin
Priority: optional
Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 3.9.6
Homepage: http://www.tux.org/pub/security/secnet/tools/nat10/

Package: smb-nat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: nat
Conflicts: nat
Provides: nat
Description: Netbios Auditing Tool
 This tool can perform various security checks on remote servers running
 NetBIOS file sharing services. It is capable of enumerating shares and make
 break-in attempts using a (user-provided) list of users and passwords.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	install -m 755 nat $(CURDIR)/debian/smb-nat/usr/bin/smb-nat

## nat 1.0.1

=== DESCRIPTION ===
Package: nat
Type: Package
Title: nat: NeuroAnatomy Toolbox for Analysis of 3D Image Data
Version: 1.0.1
Date: 2013-02-06
Author: Greg Jefferis with contributions from Ashley Manton
Maintainer: Greg Jefferis <jefferis@gmail.com>
URL: https://github.com/jefferis/nat http://jefferislab.org
Description: This package is a reboot of the AnalysisSuite
    (https://github.com/jefferis/AnalysisSuite) bundle of R code that I have
    been using for a number of years to analyse and visualise 3D biological
    image data, especially traced neurons. AnalysisSuite is most easily
    installed using the nat.as package presently available at
    https://github.com/jefferis/nat.as. The nat package is considerably cleaner
    but currently provides only a subset of the full functionality of nat.as /
    AnalysisSuite. nat can read 3D images and surfaces in Amira formats. Traced
    neurons can be imported from SWC and Amira SkeletonGraph format. These data
    can then be visualised in 3D via rgl, manipulated including applying
    calculated registrations, e.g. using the CMTK registration suite, and
    analysed. There package also has a simple representation for neurons that
    have been subjected to a 3D skeletonisation but not formally traced; this
    allows morphological comparison between neurons including searches and
    clustering.
Depends: R (>= 2.15.1), rgl
Imports: RANN, igraph, methods, filehash
Suggests: testthat
License: GPL-3
LazyData: yes
Packaged: 2014-02-06 23:44:28 UTC; jefferis
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-02-07 13:56:28

## nat 1.4.5

=== DESCRIPTION ===
Package: nat
Type: Package
Title: nat: NeuroAnatomy Toolbox for Analysis of 3D Image Data
Version: 1.4.5
Date: 2013-03-27
Author: Greg Jefferis with contributions from Ashley Manton
Maintainer: Greg Jefferis <jefferis@gmail.com>
URL: https://github.com/jefferis/nat http://jefferislab.org
Description: This package is a reboot of the AnalysisSuite
    (https://github.com/jefferis/AnalysisSuite) bundle of R code that I have
    been using for a number of years to analyse and visualise 3D biological
    image data, especially traced neurons. AnalysisSuite is most easily
    installed using the nat.as package presently available at
    https://github.com/jefferis/nat.as. The nat package is considerably cleaner
    but currently provides only a subset of the full functionality of nat.as /
    AnalysisSuite. nat can read and write 3D images in NRRD and Amira formats
    and read surfaces in Amira's hxsurf format. Traced neurons can be imported
    from and written to SWC and Amira LineSet and SkeletonGraph formats. These
    data can then be visualised in 3D via rgl, manipulated including applying
    calculated registrations, e.g. using the CMTK registration suite, and
    analysed. The package also has a simple representation for neurons that
    have been subjected to a 3D skeletonisation but not formally traced; this
    allows morphological comparison between neurons including searches and
    clustering.
Depends: R (>= 2.15.1), rgl
Imports: RANN, igraph, methods, filehash, digest, nat.utils
Suggests: testthat
License: GPL-3
LazyData: yes
Packaged: 2014-03-28 14:11:55 UTC; jefferis
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-03-28 16:12:46

## nat 1.4.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: nat
 Type: Package
 Title: nat: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.4.5
-Date: 2013-03-27
+Version: 1.4.6
+Date: 2013-03-29
 Author: Greg Jefferis with contributions from Ashley Manton
 Maintainer: Greg Jefferis <jefferis@gmail.com>
 URL: https://github.com/jefferis/nat http://jefferislab.org
@@ -27,7 +27,7 @@
 Suggests: testthat
 License: GPL-3
 LazyData: yes
-Packaged: 2014-03-28 14:11:55 UTC; jefferis
+Packaged: 2014-03-30 11:41:57 UTC; jefferis
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2014-03-28 16:12:46
+Date/Publication: 2014-03-30 17:39:34

## nat 1.4.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: nat
 Type: Package
 Title: nat: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.4.6
-Date: 2013-03-29
-Author: Greg Jefferis with contributions from Ashley Manton
+Version: 1.4.10
+Date: 2013-04-29
+Author: Greg Jefferis and James Manton
 Maintainer: Greg Jefferis <jefferis@gmail.com>
 URL: https://github.com/jefferis/nat http://jefferislab.org
 Description: This package is a reboot of the AnalysisSuite
@@ -27,7 +27,7 @@
 Suggests: testthat
 License: GPL-3
 LazyData: yes
-Packaged: 2014-03-30 11:41:57 UTC; jefferis
+Packaged: 2014-04-30 02:19:49 UTC; jefferis
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2014-03-30 17:39:34
+Date/Publication: 2014-04-30 07:49:42

## nat 1.5.12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: nat
 Type: Package
 Title: nat: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.4.10
-Date: 2013-04-29
+Version: 1.5.12
+Date: 2013-08-16
 Author: Greg Jefferis and James Manton
 Maintainer: Greg Jefferis <jefferis@gmail.com>
 URL: https://github.com/jefferis/nat http://jefferislab.org
@@ -23,11 +23,12 @@
     allows morphological comparison between neurons including searches and
     clustering.
 Depends: R (>= 2.15.1), rgl
-Imports: RANN, igraph, methods, filehash, digest, nat.utils
-Suggests: testthat
+Imports: RANN, igraph, methods, filehash, digest, nat.utils (>= 0.4.2),
+        plyr
+Suggests: Rvcg, testthat, httr
 License: GPL-3
 LazyData: yes
-Packaged: 2014-04-30 02:19:49 UTC; jefferis
+Packaged: 2014-08-21 16:53:37 UTC; jefferis
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2014-04-30 07:49:42
+Date/Publication: 2014-08-21 19:06:47

## nat 1.6.4

=== DESCRIPTION ===
Package: nat
Type: Package
Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
Version: 1.6.4
Date: 2015-02-06
Author: Greg Jefferis and James Manton
Maintainer: Greg Jefferis <jefferis@gmail.com>
URL: https://github.com/jefferis/nat http://jefferislab.org
BugReports: https://github.com/jefferis/nat/issues
Description: NeuroAnatomy Toolbox (nat) is a reboot of the AnalysisSuite
    (see https://github.com/jefferis/nat.as) bundle of R code that we have
    been using for a number of years to analyse and visualise 3D biological
    image data, especially traced neurons. The nat package is considerably 
    cleaner, properly documented and provides all of the core functionality of
    nat.as / AnalysisSuite. nat can read and write 3D images in NRRD and Amira
    formats and read surfaces in Amira's hxsurf format. Traced neurons can be
    imported from and written to SWC and Amira LineSet and SkeletonGraph
    formats. These data can then be visualised in 3D via rgl, manipulated 
    including applying calculated registrations, e.g. using the CMTK 
    registration suite, and analysed. The package also has a simple 
    representation for neurons that have been subjected to a 3D skeletonisation
    but not formally traced; this allows morphological comparison between 
    neurons including searches and clustering (via the nat.nblast extension 
    package).
Depends: R (>= 2.15.1), rgl
Imports: nabor, igraph, methods, filehash, digest, nat.utils (>=
        0.4.2), plyr, yaml
Suggests: Rvcg, testthat, httr, XML
License: GPL-3
LazyData: yes
Packaged: 2015-02-08 18:23:01 UTC; jefferis
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-02-10 00:24:27

## nat 1.6.6

=== DESCRIPTION ===
Package: nat
Type: Package
Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
Version: 1.6.6
Author: Greg Jefferis and James Manton
Maintainer: Greg Jefferis <jefferis@gmail.com>
URL: https://github.com/jefferis/nat http://jefferislab.org
BugReports: https://github.com/jefferis/nat/issues
Description: NeuroAnatomy Toolbox (nat) enables analysis and visualisation of 3D
    biological image data, especially traced neurons. Reads and writes 3D images
    in NRRD and 'Amira' AmiraMesh formats and reads surfaces in 'Amira' hxsurf
    format. Traced neurons can be imported from and written to SWC and 'Amira'
    LineSet and SkeletonGraph formats. These data can then be visualised in 3D
    via 'rgl', manipulated including applying calculated registrations, e.g. 
    using the 'CMTK' registration suite, and analysed. There is also a simple
    representation for neurons that have been subjected to 3D skeletonisation
    but not formally traced; this allows morphological comparison between
    neurons including searches and clustering (via the 'nat.nblast' extension
    package).
Depends: R (>= 2.15.1), rgl
Imports: nabor, igraph, methods, filehash, digest, nat.utils (>=
        0.4.2), plyr, yaml
Suggests: Rvcg, testthat, httr, XML
License: GPL-3
LazyData: yes
NeedsCompilation: no
Packaged: 2015-05-27 14:41:48 UTC; jefferis
Repository: CRAN
Date/Publication: 2015-05-28 01:55:42

## nat 1.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.6.6
+Version: 1.7.0
 Author: Greg Jefferis and James Manton
 Maintainer: Greg Jefferis <jefferis@gmail.com>
 URL: https://github.com/jefferis/nat http://jefferislab.org
@@ -11,7 +11,7 @@
     in NRRD and 'Amira' AmiraMesh formats and reads surfaces in 'Amira' hxsurf
     format. Traced neurons can be imported from and written to SWC and 'Amira'
     LineSet and SkeletonGraph formats. These data can then be visualised in 3D
-    via 'rgl', manipulated including applying calculated registrations, e.g. 
+    via 'rgl', manipulated including applying calculated registrations, e.g.
     using the 'CMTK' registration suite, and analysed. There is also a simple
     representation for neurons that have been subjected to 3D skeletonisation
     but not formally traced; this allows morphological comparison between
@@ -23,7 +23,17 @@
 Suggests: Rvcg, testthat, httr, XML
 License: GPL-3
 LazyData: yes
+Collate: 'amiralandmarks-io.R' 'amiramesh-io.R' 'cmtk-reformat.R'
+        'cmtk.R' 'cmtk_geometry.R' 'cmtk_io.R' 'cmtkreg.R'
+        'coordinates.R' 'dist3D_Segment_to_Segment.R' 'neuron.R'
+        'dotprops.R' 'graph-nodes.R' 'hxsurf.R' 'im3d.R' 'nat-data.R'
+        'nat-package.R' 'ndigest.R' 'neuron-io-amira.R'
+        'neuron-io-fiji.R' 'neuron-io-neuroml.R' 'neuron-io.R'
+        'neuron-plot.R' 'neuronlist.R' 'neuronlist_interactive_3d.R'
+        'neuronlist_sets.R' 'neuronlistfh.R' 'ngraph.R' 'nrrd-io.R'
+        'pop3d.R' 'potential_synapses.R' 'seglist.R' 'vaa3draw-io.R'
+        'xform.R' 'xformimage.R' 'xformpoints.R' 'zzz.R'
 NeedsCompilation: no
-Packaged: 2015-05-27 14:41:48 UTC; jefferis
+Packaged: 2015-07-01 11:11:30 UTC; jefferis
 Repository: CRAN
-Date/Publication: 2015-05-28 01:55:42
+Date/Publication: 2015-07-01 14:41:45

## nat 1.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.7.0
+Version: 1.8.1
 Author: Greg Jefferis and James Manton
 Maintainer: Greg Jefferis <jefferis@gmail.com>
 URL: https://github.com/jefferis/nat http://jefferislab.org
@@ -31,9 +31,10 @@
         'neuron-io-fiji.R' 'neuron-io-neuroml.R' 'neuron-io.R'
         'neuron-plot.R' 'neuronlist.R' 'neuronlist_interactive_3d.R'
         'neuronlist_sets.R' 'neuronlistfh.R' 'ngraph.R' 'nrrd-io.R'
-        'pop3d.R' 'potential_synapses.R' 'seglist.R' 'vaa3draw-io.R'
-        'xform.R' 'xformimage.R' 'xformpoints.R' 'zzz.R'
+        'pop3d.R' 'potential_synapses.R' 'seglist.R' 'summary.R'
+        'vaa3draw-io.R' 'xform.R' 'xformimage.R' 'xformpoints.R'
+        'zzz.R'
 NeedsCompilation: no
-Packaged: 2015-07-01 11:11:30 UTC; jefferis
+Packaged: 2015-12-30 17:14:07 UTC; jefferis
 Repository: CRAN
-Date/Publication: 2015-07-01 14:41:45
+Date/Publication: 2015-12-30 23:24:38

## nat 1.8.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.8.1
+Version: 1.8.4
 Author: Greg Jefferis and James Manton
 Maintainer: Greg Jefferis <jefferis@gmail.com>
 URL: https://github.com/jefferis/nat http://jefferislab.org
@@ -18,8 +18,8 @@
     neurons including searches and clustering (via the 'nat.nblast' extension
     package).
 Depends: R (>= 2.15.1), rgl
-Imports: nabor, igraph, methods, filehash, digest, nat.utils (>=
-        0.4.2), plyr, yaml
+Imports: nabor, igraph (>= 0.7.1), methods, filehash, digest, nat.utils
+        (>= 0.4.2), plyr, yaml
 Suggests: Rvcg, testthat, httr, XML
 License: GPL-3
 LazyData: yes
@@ -31,10 +31,11 @@
         'neuron-io-fiji.R' 'neuron-io-neuroml.R' 'neuron-io.R'
         'neuron-plot.R' 'neuronlist.R' 'neuronlist_interactive_3d.R'
         'neuronlist_sets.R' 'neuronlistfh.R' 'ngraph.R' 'nrrd-io.R'
-        'pop3d.R' 'potential_synapses.R' 'seglist.R' 'summary.R'
-        'vaa3draw-io.R' 'xform.R' 'xformimage.R' 'xformpoints.R'
-        'zzz.R'
+        'pop3d.R' 'potential_synapses.R' 'reglist.R' 'seglist.R'
+        'summary.R' 'vaa3draw-io.R' 'xform.R' 'xformimage.R'
+        'xformpoints.R' 'zzz.R'
+RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2015-12-30 17:14:07 UTC; jefferis
+Packaged: 2016-07-17 20:59:35 UTC; jefferis
 Repository: CRAN
-Date/Publication: 2015-12-30 23:24:38
+Date/Publication: 2016-07-18 16:14:55

## nat 1.8.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.8.4
-Author: Greg Jefferis and James Manton
-Maintainer: Greg Jefferis <jefferis@gmail.com>
-URL: https://github.com/jefferis/nat http://jefferislab.org
+Version: 1.8.7
+Authors@R: c(
+    person("Gregory", "Jefferis", , "jefferis@gmail.com", role = c("aut", "cre")),
+    person("James", "Manton", role = c("aut"))
+    )
+URL: https://github.com/jefferis/nat, http://jefferislab.org
 BugReports: https://github.com/jefferis/nat/issues
 Description: NeuroAnatomy Toolbox (nat) enables analysis and visualisation of 3D
     biological image data, especially traced neurons. Reads and writes 3D images
@@ -20,7 +22,7 @@
 Depends: R (>= 2.15.1), rgl
 Imports: nabor, igraph (>= 0.7.1), methods, filehash, digest, nat.utils
         (>= 0.4.2), plyr, yaml
-Suggests: Rvcg, testthat, httr, XML
+Suggests: Rvcg, testthat, httr, XML, knitr, rmarkdown, MASS
 License: GPL-3
 LazyData: yes
 Collate: 'amiralandmarks-io.R' 'amiramesh-io.R' 'cmtk-reformat.R'
@@ -32,10 +34,14 @@
         'neuron-plot.R' 'neuronlist.R' 'neuronlist_interactive_3d.R'
         'neuronlist_sets.R' 'neuronlistfh.R' 'ngraph.R' 'nrrd-io.R'
         'pop3d.R' 'potential_synapses.R' 'reglist.R' 'seglist.R'
-        'summary.R' 'vaa3draw-io.R' 'xform.R' 'xformimage.R'
+        'summary.R' 'vaa3draw-io.R' 'vtk-io.R' 'xform.R' 'xformimage.R'
         'xformpoints.R' 'zzz.R'
 RoxygenNote: 5.0.1
+VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2016-07-17 20:59:35 UTC; jefferis
+Packaged: 2016-11-09 11:36:29 UTC; jefferis
+Author: Gregory Jefferis [aut, cre],
+  James Manton [aut]
+Maintainer: Gregory Jefferis <jefferis@gmail.com>
 Repository: CRAN
-Date/Publication: 2016-07-18 16:14:55
+Date/Publication: 2016-11-10 08:18:57

## nat 1.8.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.8.7
+Version: 1.8.9
 Authors@R: c(
     person("Gregory", "Jefferis", , "jefferis@gmail.com", role = c("aut", "cre")),
     person("James", "Manton", role = c("aut"))
@@ -19,29 +19,30 @@
     but not formally traced; this allows morphological comparison between
     neurons including searches and clustering (via the 'nat.nblast' extension
     package).
-Depends: R (>= 2.15.1), rgl
+Depends: R (>= 2.15.1), rgl (>= 0.98.1)
 Imports: nabor, igraph (>= 0.7.1), methods, filehash, digest, nat.utils
         (>= 0.4.2), plyr, yaml
-Suggests: Rvcg, testthat, httr, XML, knitr, rmarkdown, MASS
+Suggests: Rvcg, testthat, httr, XML, knitr, rmarkdown, MASS,
+        alphashape3d
 License: GPL-3
 LazyData: yes
-Collate: 'amiralandmarks-io.R' 'amiramesh-io.R' 'cmtk-reformat.R'
-        'cmtk.R' 'cmtk_geometry.R' 'cmtk_io.R' 'cmtkreg.R'
-        'coordinates.R' 'dist3D_Segment_to_Segment.R' 'neuron.R'
-        'dotprops.R' 'graph-nodes.R' 'hxsurf.R' 'im3d.R' 'nat-data.R'
-        'nat-package.R' 'ndigest.R' 'neuron-io-amira.R'
+Collate: 'alphashape3d.R' 'amiralandmarks-io.R' 'amiramesh-io.R'
+        'cmtk-reformat.R' 'cmtk.R' 'cmtk_geometry.R' 'cmtk_io.R'
+        'cmtkreg.R' 'coordinates.R' 'dist3D_Segment_to_Segment.R'
+        'neuron.R' 'dotprops.R' 'graph-nodes.R' 'hxsurf.R' 'im3d.R'
+        'nat-data.R' 'nat-package.R' 'ndigest.R' 'neuron-io-amira.R'
         'neuron-io-fiji.R' 'neuron-io-neuroml.R' 'neuron-io.R'
         'neuron-plot.R' 'neuronlist.R' 'neuronlist_interactive_3d.R'
         'neuronlist_sets.R' 'neuronlistfh.R' 'ngraph.R' 'nrrd-io.R'
         'pop3d.R' 'potential_synapses.R' 'reglist.R' 'seglist.R'
         'summary.R' 'vaa3draw-io.R' 'vtk-io.R' 'xform.R' 'xformimage.R'
         'xformpoints.R' 'zzz.R'
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2016-11-09 11:36:29 UTC; jefferis
+Packaged: 2017-05-08 10:20:06 UTC; superFlyGuy
 Author: Gregory Jefferis [aut, cre],
   James Manton [aut]
 Maintainer: Gregory Jefferis <jefferis@gmail.com>
 Repository: CRAN
-Date/Publication: 2016-11-10 08:18:57
+Date/Publication: 2017-05-08 13:59:52 UTC

## nat 1.8.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.8.9
+Version: 1.8.11
 Authors@R: c(
     person("Gregory", "Jefferis", , "jefferis@gmail.com", role = c("aut", "cre")),
     person("James", "Manton", role = c("aut"))
@@ -22,7 +22,7 @@
 Depends: R (>= 2.15.1), rgl (>= 0.98.1)
 Imports: nabor, igraph (>= 0.7.1), methods, filehash, digest, nat.utils
         (>= 0.4.2), plyr, yaml
-Suggests: Rvcg, testthat, httr, XML, knitr, rmarkdown, MASS,
+Suggests: Rvcg (>= 0.17), testthat, httr, XML, knitr, rmarkdown, MASS,
         alphashape3d
 License: GPL-3
 LazyData: yes
@@ -35,14 +35,14 @@
         'neuron-plot.R' 'neuronlist.R' 'neuronlist_interactive_3d.R'
         'neuronlist_sets.R' 'neuronlistfh.R' 'ngraph.R' 'nrrd-io.R'
         'pop3d.R' 'potential_synapses.R' 'reglist.R' 'seglist.R'
-        'summary.R' 'vaa3draw-io.R' 'vtk-io.R' 'xform.R' 'xformimage.R'
-        'xformpoints.R' 'zzz.R'
+        'summary.R' 'utils.R' 'vaa3draw-io.R' 'vtk-io.R' 'xform.R'
+        'xformimage.R' 'xformpoints.R' 'zzz.R'
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2017-05-08 10:20:06 UTC; superFlyGuy
+Packaged: 2017-11-10 22:47:36 UTC; jefferis
 Author: Gregory Jefferis [aut, cre],
   James Manton [aut]
 Maintainer: Gregory Jefferis <jefferis@gmail.com>
 Repository: CRAN
-Date/Publication: 2017-05-08 13:59:52 UTC
+Date/Publication: 2017-11-12 17:09:05 UTC

## nat 1.8.13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.8.11
+Version: 1.8.13
 Authors@R: c(
-    person("Gregory", "Jefferis", , "jefferis@gmail.com", role = c("aut", "cre")),
-    person("James", "Manton", role = c("aut"))
+    person("Gregory","Jefferis", email="jefferis@gmail.com", 
+    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-0587-9355")),
+    person("James", "Manton", role = c("aut"), comment = c(ORCID = "0000-0001-9260-3156"))
     )
-URL: https://github.com/jefferis/nat, http://jefferislab.org
-BugReports: https://github.com/jefferis/nat/issues
+URL: https://github.com/natverse/nat, https://natverse.github.io
+BugReports: https://github.com/natverse/nat/issues
 Description: NeuroAnatomy Toolbox (nat) enables analysis and visualisation of 3D
     biological image data, especially traced neurons. Reads and writes 3D images
     in NRRD and 'Amira' AmiraMesh formats and reads surfaces in 'Amira' hxsurf
@@ -20,8 +21,8 @@
     neurons including searches and clustering (via the 'nat.nblast' extension
     package).
 Depends: R (>= 2.15.1), rgl (>= 0.98.1)
-Imports: nabor, igraph (>= 0.7.1), methods, filehash, digest, nat.utils
-        (>= 0.4.2), plyr, yaml
+Imports: nabor, igraph (>= 0.7.1), methods, filehash (>= 2.3), digest,
+        nat.utils (>= 0.4.2), plyr, yaml
 Suggests: Rvcg (>= 0.17), testthat, httr, XML, knitr, rmarkdown, MASS,
         alphashape3d
 License: GPL-3
@@ -37,12 +38,13 @@
         'pop3d.R' 'potential_synapses.R' 'reglist.R' 'seglist.R'
         'summary.R' 'utils.R' 'vaa3draw-io.R' 'vtk-io.R' 'xform.R'
         'xformimage.R' 'xformpoints.R' 'zzz.R'
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
+Encoding: UTF-8
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2017-11-10 22:47:36 UTC; jefferis
-Author: Gregory Jefferis [aut, cre],
-  James Manton [aut]
+Packaged: 2019-08-22 12:08:18 UTC; jefferis
+Author: Gregory Jefferis [aut, cre] (<https://orcid.org/0000-0002-0587-9355>),
+  James Manton [aut] (<https://orcid.org/0000-0001-9260-3156>)
 Maintainer: Gregory Jefferis <jefferis@gmail.com>
 Repository: CRAN
-Date/Publication: 2017-11-12 17:09:05 UTC
+Date/Publication: 2019-08-22 15:30:02 UTC

## nat 1.8.14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.8.13
+Version: 1.8.14
 Authors@R: c(
     person("Gregory","Jefferis", email="jefferis@gmail.com", 
     role = c("aut", "cre"), comment = c(ORCID = "0000-0002-0587-9355")),
@@ -38,13 +38,13 @@
         'pop3d.R' 'potential_synapses.R' 'reglist.R' 'seglist.R'
         'summary.R' 'utils.R' 'vaa3draw-io.R' 'vtk-io.R' 'xform.R'
         'xformimage.R' 'xformpoints.R' 'zzz.R'
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 Encoding: UTF-8
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2019-08-22 12:08:18 UTC; jefferis
+Packaged: 2020-02-07 01:05:34 UTC; jefferis
 Author: Gregory Jefferis [aut, cre] (<https://orcid.org/0000-0002-0587-9355>),
   James Manton [aut] (<https://orcid.org/0000-0001-9260-3156>)
 Maintainer: Gregory Jefferis <jefferis@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-08-22 15:30:02 UTC
+Date/Publication: 2020-02-07 06:30:25 UTC

## nat 1.8.16

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.8.14
+Version: 1.8.16
 Authors@R: c(
     person("Gregory","Jefferis", email="jefferis@gmail.com", 
     role = c("aut", "cre"), comment = c(ORCID = "0000-0002-0587-9355")),
     person("James", "Manton", role = c("aut"), comment = c(ORCID = "0000-0001-9260-3156"))
     )
-URL: https://github.com/natverse/nat, https://natverse.github.io
+URL: https://github.com/natverse/nat, http://natverse.org/
 BugReports: https://github.com/natverse/nat/issues
 Description: NeuroAnatomy Toolbox (nat) enables analysis and visualisation of 3D
     biological image data, especially traced neurons. Reads and writes 3D images
@@ -38,13 +38,13 @@
         'pop3d.R' 'potential_synapses.R' 'reglist.R' 'seglist.R'
         'summary.R' 'utils.R' 'vaa3draw-io.R' 'vtk-io.R' 'xform.R'
         'xformimage.R' 'xformpoints.R' 'zzz.R'
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2020-02-07 01:05:34 UTC; jefferis
+Packaged: 2020-09-22 15:52:43 UTC; jefferis
 Author: Gregory Jefferis [aut, cre] (<https://orcid.org/0000-0002-0587-9355>),
   James Manton [aut] (<https://orcid.org/0000-0001-9260-3156>)
 Maintainer: Gregory Jefferis <jefferis@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-02-07 06:30:25 UTC
+Date/Publication: 2020-09-22 16:40:02 UTC

## nat 1.8.17

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.8.16
+Version: 1.8.17
 Authors@R: c(
     person("Gregory","Jefferis", email="jefferis@gmail.com", 
     role = c("aut", "cre"), comment = c(ORCID = "0000-0002-0587-9355")),
     person("James", "Manton", role = c("aut"), comment = c(ORCID = "0000-0001-9260-3156"))
     )
-URL: https://github.com/natverse/nat, http://natverse.org/
+URL: https://github.com/natverse/nat, https://natverse.org/
 BugReports: https://github.com/natverse/nat/issues
 Description: NeuroAnatomy Toolbox (nat) enables analysis and visualisation of 3D
     biological image data, especially traced neurons. Reads and writes 3D images
@@ -23,8 +23,9 @@
 Depends: R (>= 2.15.1), rgl (>= 0.98.1)
 Imports: nabor, igraph (>= 0.7.1), methods, filehash (>= 2.3), digest,
         nat.utils (>= 0.4.2), plyr, yaml
-Suggests: Rvcg (>= 0.17), testthat, httr, XML, knitr, rmarkdown, MASS,
-        alphashape3d
+Suggests: Rvcg (>= 0.17), testthat, httr, XML, knitr, rmarkdown,
+        markdown, MASS, alphashape3d, webshot2
+Additional_repositories: https://dmurdoch.github.io/drat
 License: GPL-3
 LazyData: yes
 Collate: 'alphashape3d.R' 'amiralandmarks-io.R' 'amiramesh-io.R'
@@ -42,9 +43,9 @@
 Encoding: UTF-8
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2020-09-22 15:52:43 UTC; jefferis
+Packaged: 2021-09-03 15:13:31 UTC; jefferis
 Author: Gregory Jefferis [aut, cre] (<https://orcid.org/0000-0002-0587-9355>),
   James Manton [aut] (<https://orcid.org/0000-0001-9260-3156>)
 Maintainer: Gregory Jefferis <jefferis@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-09-22 16:40:02 UTC
+Date/Publication: 2021-09-03 16:00:05 UTC

## nat 1.8.18

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.8.17
+Version: 1.8.18
 Authors@R: c(
     person("Gregory","Jefferis", email="jefferis@gmail.com", 
     role = c("aut", "cre"), comment = c(ORCID = "0000-0002-0587-9355")),
@@ -43,9 +43,9 @@
 Encoding: UTF-8
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-09-03 15:13:31 UTC; jefferis
+Packaged: 2021-09-06 09:51:22 UTC; jefferis
 Author: Gregory Jefferis [aut, cre] (<https://orcid.org/0000-0002-0587-9355>),
   James Manton [aut] (<https://orcid.org/0000-0001-9260-3156>)
 Maintainer: Gregory Jefferis <jefferis@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-09-03 16:00:05 UTC
+Date/Publication: 2021-09-06 13:40:02 UTC

## nat 1.8.19

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.8.18
+Version: 1.8.19
 Authors@R: c(
     person("Gregory","Jefferis", email="jefferis@gmail.com", 
     role = c("aut", "cre"), comment = c(ORCID = "0000-0002-0587-9355")),
-    person("James", "Manton", role = c("aut"), comment = c(ORCID = "0000-0001-9260-3156"))
+    person("James", "Manton", role = c("aut"), comment = c(ORCID = "0000-0001-9260-3156")),
+    person("Dominik", "Krzeminski", role = c("ctb"), comment = c(ORCID = "0000-0003-4568-0583"))
     )
 URL: https://github.com/natverse/nat, https://natverse.org/
 BugReports: https://github.com/natverse/nat/issues
@@ -43,9 +44,10 @@
 Encoding: UTF-8
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-09-06 09:51:22 UTC; jefferis
+Packaged: 2022-04-05 12:51:57 UTC; dominik
 Author: Gregory Jefferis [aut, cre] (<https://orcid.org/0000-0002-0587-9355>),
-  James Manton [aut] (<https://orcid.org/0000-0001-9260-3156>)
+  James Manton [aut] (<https://orcid.org/0000-0001-9260-3156>),
+  Dominik Krzeminski [ctb] (<https://orcid.org/0000-0003-4568-0583>)
 Maintainer: Gregory Jefferis <jefferis@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-09-06 13:40:02 UTC
+Date/Publication: 2022-04-06 11:50:02 UTC

## nat 1.8.21

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.8.19
+Version: 1.8.21
 Authors@R: c(
     person("Gregory","Jefferis", email="jefferis@gmail.com", 
     role = c("aut", "cre"), comment = c(ORCID = "0000-0002-0587-9355")),
@@ -22,11 +22,10 @@
     neurons including searches and clustering (via the 'nat.nblast' extension
     package).
 Depends: R (>= 2.15.1), rgl (>= 0.98.1)
-Imports: nabor, igraph (>= 0.7.1), methods, filehash (>= 2.3), digest,
+Imports: nabor, igraph (>= 1.3.0), methods, filehash (>= 2.3), digest,
         nat.utils (>= 0.4.2), plyr, yaml
 Suggests: Rvcg (>= 0.17), testthat, httr, XML, knitr, rmarkdown,
         markdown, MASS, alphashape3d, webshot2
-Additional_repositories: https://dmurdoch.github.io/drat
 License: GPL-3
 LazyData: yes
 Collate: 'alphashape3d.R' 'amiralandmarks-io.R' 'amiramesh-io.R'
@@ -40,14 +39,14 @@
         'pop3d.R' 'potential_synapses.R' 'reglist.R' 'seglist.R'
         'summary.R' 'utils.R' 'vaa3draw-io.R' 'vtk-io.R' 'xform.R'
         'xformimage.R' 'xformpoints.R' 'zzz.R'
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2022-04-05 12:51:57 UTC; dominik
+Packaged: 2023-01-28 23:11:58 UTC; jefferis
 Author: Gregory Jefferis [aut, cre] (<https://orcid.org/0000-0002-0587-9355>),
   James Manton [aut] (<https://orcid.org/0000-0001-9260-3156>),
   Dominik Krzeminski [ctb] (<https://orcid.org/0000-0003-4568-0583>)
 Maintainer: Gregory Jefferis <jefferis@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-04-06 11:50:02 UTC
+Date/Publication: 2023-01-28 23:50:02 UTC

## nat 1.8.22

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: nat
 Type: Package
 Title: NeuroAnatomy Toolbox for Analysis of 3D Image Data
-Version: 1.8.21
+Version: 1.8.22
 Authors@R: c(
     person("Gregory","Jefferis", email="jefferis@gmail.com", 
     role = c("aut", "cre"), comment = c(ORCID = "0000-0002-0587-9355")),
@@ -43,10 +43,10 @@
 Encoding: UTF-8
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2023-01-28 23:11:58 UTC; jefferis
+Packaged: 2023-06-07 13:24:10 UTC; jefferis
 Author: Gregory Jefferis [aut, cre] (<https://orcid.org/0000-0002-0587-9355>),
   James Manton [aut] (<https://orcid.org/0000-0001-9260-3156>),
   Dominik Krzeminski [ctb] (<https://orcid.org/0000-0003-4568-0583>)
 Maintainer: Gregory Jefferis <jefferis@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-01-28 23:50:02 UTC
+Date/Publication: 2023-06-07 14:50:05 UTC
